@import 'theme'

$content: 100vh
$topbar: 64px

.sidenav-container
    height: 100%

.sidenav
    background-color: $primaryColor
    color: $foregroundColor
    width: 200px

    .mat-nav-list
        > *
            color: $foregroundColor

            .mat-icon
                margin-right: 10px

    .mat-list-item
        &:hover
            background-color: rgba(33, 33, 33, 0.5)

.mat-toolbar
    background: $foregroundColor

    .mat-primary
        position: sticky
        top: 0
        z-index: 1

.content
    max-height: calc(#{$content} - #{$topbar})
    height: calc(#{$content} - #{$topbar})
    overflow-y: auto
    background: #f1f1f1
    box-sizing: border-box

.spacer
    flex: 1 1 auto

.logo
    text-align: center
    margin-top: 10px
    margin-bottom: 20px

    img
        height: 50px

.mat-menu-item
    a
        color: $primaryColor

    .mat-icon
        margin-right: 5px
        color: $primaryColor

#logout
    color: $dangerColor

    .mat-icon
        color: $dangerColor

.active-menu
    background-color: rgba(33, 33, 33, 0.5)

    &::before
        content: ""
        background-color: $secondaryColor
        height: 100%
        position: absolute
        width: 3px
